Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.transport.impl
Class AsyncServletStreamServerImpl.AsyncServletConnection

    java.lang.Object
      org.fourthline.cling.transport.impl.AsyncServletStreamServerImpl.AsyncServletConnection

All Implemented Interfaces:
  Connection

Enclosing class:
  AsyncServletStreamServerImpl

    protected class AsyncServletStreamServerImpl.AsyncServletConnection

extends Object
implements Connection

Field Summary
`protected javax.servlet.http.HttpServletRequest` | `request`

Constructor Summary
`AsyncServletStreamServerImpl.AsyncServletConnection(javax.servlet.http.HttpServletRequest request)`

Method Summary
`InetAddress` | `getLocalAddress()`
`InetAddress` | `getRemoteAddress()`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`boolean` | `isOpen()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected javax.servlet.http.HttpServletRequest request

Constructor Detail

### AsyncServletStreamServerImpl.AsyncServletConnection

    public AsyncServletStreamServerImpl.AsyncServletConnection(javax.servlet.http.HttpServletRequest request)

Method Detail

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `Connection`

### getRemoteAddress

    public InetAddress getRemoteAddress()

  Specified by:
    `getRemoteAddress` in interface `Connection`

### getLocalAddress

    public InetAddress getLocalAddress()

  Specified by:
    `getLocalAddress` in interface `Connection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.